package com.hai.dao;

import com.hai.entity.HighGasOrder;
import com.hai.entity.HighGasOrderExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighGasOrderMapper extends HighGasOrderMapperExt {
    @SelectProvider(type=HighGasOrderSqlProvider.class, method="countByExample")
    long countByExample(HighGasOrderExample example);

    @DeleteProvider(type=HighGasOrderSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighGasOrderExample example);

    @Delete({
        "delete from high_gas_order",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_gas_order (order_no, child_order_no, ",
        "channel_type, channel_order_no, ",
        "mem_id, mem_phone, ",
        "company_id, company_name, ",
        "mer_id, mer_name, store_id, ",
        "store_name, deduction_price, ",
        "payable_price, pay_gold, ",
        "pay_price, gas_refuel_price, ",
        "gas_oil_no, gas_gun_no, ",
        "gas_oil_type, gas_price_platform, ",
        "gas_price_gun, gas_price_vip, ",
        "gas_price_official, gas_price_cost, ",
        "gas_price_cost_total, gas_price_channel_pay, ",
        "gas_oil_liters, gas_discount, ",
        "gas_oil_subsidy, gas_liters_preferences, ",
        "gas_price_preferences, gas_class_group_id, ",
        "gas_class_group_name, gas_class_group_task_id, ",
        "gas_staff_id, gas_staff_name, ",
        "gas_salesman_id, gas_salesman_name, ",
        "gas_agent_id, gas_agent_name, ",
        "gas_org_id, gas_org_name, ",
        "`status`, create_time, ",
        "cancel_time, pay_time, ",
        "refund_time, refund_remarks, ",
        "ext_1, ext_2, ext_3, ",
        "ext_4, ext_5, ext_6)",
        "values (#{orderNo,jdbcType=VARCHAR}, #{childOrderNo,jdbcType=VARCHAR}, ",
        "#{channelType,jdbcType=INTEGER}, #{channelOrderNo,jdbcType=VARCHAR}, ",
        "#{memId,jdbcType=BIGINT}, #{memPhone,jdbcType=VARCHAR}, ",
        "#{companyId,jdbcType=BIGINT}, #{companyName,jdbcType=VARCHAR}, ",
        "#{merId,jdbcType=BIGINT}, #{merName,jdbcType=VARCHAR}, #{storeId,jdbcType=BIGINT}, ",
        "#{storeName,jdbcType=VARCHAR}, #{deductionPrice,jdbcType=DECIMAL}, ",
        "#{payablePrice,jdbcType=DECIMAL}, #{payGold,jdbcType=INTEGER}, ",
        "#{payPrice,jdbcType=DECIMAL}, #{gasRefuelPrice,jdbcType=DECIMAL}, ",
        "#{gasOilNo,jdbcType=VARCHAR}, #{gasGunNo,jdbcType=VARCHAR}, ",
        "#{gasOilType,jdbcType=INTEGER}, #{gasPricePlatform,jdbcType=DECIMAL}, ",
        "#{gasPriceGun,jdbcType=DECIMAL}, #{gasPriceVip,jdbcType=DECIMAL}, ",
        "#{gasPriceOfficial,jdbcType=DECIMAL}, #{gasPriceCost,jdbcType=DECIMAL}, ",
        "#{gasPriceCostTotal,jdbcType=DECIMAL}, #{gasPriceChannelPay,jdbcType=DECIMAL}, ",
        "#{gasOilLiters,jdbcType=DECIMAL}, #{gasDiscount,jdbcType=DECIMAL}, ",
        "#{gasOilSubsidy,jdbcType=DECIMAL}, #{gasLitersPreferences,jdbcType=DECIMAL}, ",
        "#{gasPricePreferences,jdbcType=DECIMAL}, #{gasClassGroupId,jdbcType=BIGINT}, ",
        "#{gasClassGroupName,jdbcType=VARCHAR}, #{gasClassGroupTaskId,jdbcType=BIGINT}, ",
        "#{gasStaffId,jdbcType=BIGINT}, #{gasStaffName,jdbcType=VARCHAR}, ",
        "#{gasSalesmanId,jdbcType=BIGINT}, #{gasSalesmanName,jdbcType=VARCHAR}, ",
        "#{gasAgentId,jdbcType=BIGINT}, #{gasAgentName,jdbcType=VARCHAR}, ",
        "#{gasOrgId,jdbcType=BIGINT}, #{gasOrgName,jdbcType=VARCHAR}, ",
        "#{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{cancelTime,jdbcType=TIMESTAMP}, #{payTime,jdbcType=TIMESTAMP}, ",
        "#{refundTime,jdbcType=TIMESTAMP}, #{refundRemarks,jdbcType=VARCHAR}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR}, ",
        "#{ext4,jdbcType=VARCHAR}, #{ext5,jdbcType=VARCHAR}, #{ext6,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighGasOrder record);

    @InsertProvider(type=HighGasOrderSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighGasOrder record);

    @SelectProvider(type=HighGasOrderSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="child_order_no", property="childOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="channel_type", property="channelType", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_order_no", property="channelOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="mem_id", property="memId", jdbcType=JdbcType.BIGINT),
        @Result(column="mem_phone", property="memPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="company_name", property="companyName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_name", property="merName", jdbcType=JdbcType.VARCHAR),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.BIGINT),
        @Result(column="store_name", property="storeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="deduction_price", property="deductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="payable_price", property="payablePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_gold", property="payGold", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_refuel_price", property="gasRefuelPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_no", property="gasOilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_gun_no", property="gasGunNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_oil_type", property="gasOilType", jdbcType=JdbcType.INTEGER),
        @Result(column="gas_price_platform", property="gasPricePlatform", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_gun", property="gasPriceGun", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_vip", property="gasPriceVip", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_official", property="gasPriceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_cost", property="gasPriceCost", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_cost_total", property="gasPriceCostTotal", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_channel_pay", property="gasPriceChannelPay", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_liters", property="gasOilLiters", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_discount", property="gasDiscount", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_subsidy", property="gasOilSubsidy", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_liters_preferences", property="gasLitersPreferences", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_preferences", property="gasPricePreferences", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_class_group_id", property="gasClassGroupId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_class_group_name", property="gasClassGroupName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_class_group_task_id", property="gasClassGroupTaskId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_staff_id", property="gasStaffId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_staff_name", property="gasStaffName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_salesman_id", property="gasSalesmanId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_salesman_name", property="gasSalesmanName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_agent_id", property="gasAgentId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_agent_name", property="gasAgentName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_org_id", property="gasOrgId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_org_name", property="gasOrgName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="cancel_time", property="cancelTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_remarks", property="refundRemarks", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_4", property="ext4", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_5", property="ext5", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_6", property="ext6", jdbcType=JdbcType.VARCHAR)
    })
    List<HighGasOrder> selectByExample(HighGasOrderExample example);

    @Select({
        "select",
        "id, order_no, child_order_no, channel_type, channel_order_no, mem_id, mem_phone, ",
        "company_id, company_name, mer_id, mer_name, store_id, store_name, deduction_price, ",
        "payable_price, pay_gold, pay_price, gas_refuel_price, gas_oil_no, gas_gun_no, ",
        "gas_oil_type, gas_price_platform, gas_price_gun, gas_price_vip, gas_price_official, ",
        "gas_price_cost, gas_price_cost_total, gas_price_channel_pay, gas_oil_liters, ",
        "gas_discount, gas_oil_subsidy, gas_liters_preferences, gas_price_preferences, ",
        "gas_class_group_id, gas_class_group_name, gas_class_group_task_id, gas_staff_id, ",
        "gas_staff_name, gas_salesman_id, gas_salesman_name, gas_agent_id, gas_agent_name, ",
        "gas_org_id, gas_org_name, `status`, create_time, cancel_time, pay_time, refund_time, ",
        "refund_remarks, ext_1, ext_2, ext_3, ext_4, ext_5, ext_6",
        "from high_gas_order",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="child_order_no", property="childOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="channel_type", property="channelType", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_order_no", property="channelOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="mem_id", property="memId", jdbcType=JdbcType.BIGINT),
        @Result(column="mem_phone", property="memPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="company_name", property="companyName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_name", property="merName", jdbcType=JdbcType.VARCHAR),
        @Result(column="store_id", property="storeId", jdbcType=JdbcType.BIGINT),
        @Result(column="store_name", property="storeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="deduction_price", property="deductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="payable_price", property="payablePrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_gold", property="payGold", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_price", property="payPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_refuel_price", property="gasRefuelPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_no", property="gasOilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_gun_no", property="gasGunNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_oil_type", property="gasOilType", jdbcType=JdbcType.INTEGER),
        @Result(column="gas_price_platform", property="gasPricePlatform", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_gun", property="gasPriceGun", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_vip", property="gasPriceVip", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_official", property="gasPriceOfficial", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_cost", property="gasPriceCost", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_cost_total", property="gasPriceCostTotal", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_channel_pay", property="gasPriceChannelPay", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_liters", property="gasOilLiters", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_discount", property="gasDiscount", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_oil_subsidy", property="gasOilSubsidy", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_liters_preferences", property="gasLitersPreferences", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_price_preferences", property="gasPricePreferences", jdbcType=JdbcType.DECIMAL),
        @Result(column="gas_class_group_id", property="gasClassGroupId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_class_group_name", property="gasClassGroupName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_class_group_task_id", property="gasClassGroupTaskId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_staff_id", property="gasStaffId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_staff_name", property="gasStaffName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_salesman_id", property="gasSalesmanId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_salesman_name", property="gasSalesmanName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_agent_id", property="gasAgentId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_agent_name", property="gasAgentName", jdbcType=JdbcType.VARCHAR),
        @Result(column="gas_org_id", property="gasOrgId", jdbcType=JdbcType.BIGINT),
        @Result(column="gas_org_name", property="gasOrgName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="cancel_time", property="cancelTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_remarks", property="refundRemarks", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_4", property="ext4", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_5", property="ext5", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_6", property="ext6", jdbcType=JdbcType.VARCHAR)
    })
    HighGasOrder selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighGasOrderSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighGasOrder record, @Param("example") HighGasOrderExample example);

    @UpdateProvider(type=HighGasOrderSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighGasOrder record, @Param("example") HighGasOrderExample example);

    @UpdateProvider(type=HighGasOrderSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighGasOrder record);

    @Update({
        "update high_gas_order",
        "set order_no = #{orderNo,jdbcType=VARCHAR},",
          "child_order_no = #{childOrderNo,jdbcType=VARCHAR},",
          "channel_type = #{channelType,jdbcType=INTEGER},",
          "channel_order_no = #{channelOrderNo,jdbcType=VARCHAR},",
          "mem_id = #{memId,jdbcType=BIGINT},",
          "mem_phone = #{memPhone,jdbcType=VARCHAR},",
          "company_id = #{companyId,jdbcType=BIGINT},",
          "company_name = #{companyName,jdbcType=VARCHAR},",
          "mer_id = #{merId,jdbcType=BIGINT},",
          "mer_name = #{merName,jdbcType=VARCHAR},",
          "store_id = #{storeId,jdbcType=BIGINT},",
          "store_name = #{storeName,jdbcType=VARCHAR},",
          "deduction_price = #{deductionPrice,jdbcType=DECIMAL},",
          "payable_price = #{payablePrice,jdbcType=DECIMAL},",
          "pay_gold = #{payGold,jdbcType=INTEGER},",
          "pay_price = #{payPrice,jdbcType=DECIMAL},",
          "gas_refuel_price = #{gasRefuelPrice,jdbcType=DECIMAL},",
          "gas_oil_no = #{gasOilNo,jdbcType=VARCHAR},",
          "gas_gun_no = #{gasGunNo,jdbcType=VARCHAR},",
          "gas_oil_type = #{gasOilType,jdbcType=INTEGER},",
          "gas_price_platform = #{gasPricePlatform,jdbcType=DECIMAL},",
          "gas_price_gun = #{gasPriceGun,jdbcType=DECIMAL},",
          "gas_price_vip = #{gasPriceVip,jdbcType=DECIMAL},",
          "gas_price_official = #{gasPriceOfficial,jdbcType=DECIMAL},",
          "gas_price_cost = #{gasPriceCost,jdbcType=DECIMAL},",
          "gas_price_cost_total = #{gasPriceCostTotal,jdbcType=DECIMAL},",
          "gas_price_channel_pay = #{gasPriceChannelPay,jdbcType=DECIMAL},",
          "gas_oil_liters = #{gasOilLiters,jdbcType=DECIMAL},",
          "gas_discount = #{gasDiscount,jdbcType=DECIMAL},",
          "gas_oil_subsidy = #{gasOilSubsidy,jdbcType=DECIMAL},",
          "gas_liters_preferences = #{gasLitersPreferences,jdbcType=DECIMAL},",
          "gas_price_preferences = #{gasPricePreferences,jdbcType=DECIMAL},",
          "gas_class_group_id = #{gasClassGroupId,jdbcType=BIGINT},",
          "gas_class_group_name = #{gasClassGroupName,jdbcType=VARCHAR},",
          "gas_class_group_task_id = #{gasClassGroupTaskId,jdbcType=BIGINT},",
          "gas_staff_id = #{gasStaffId,jdbcType=BIGINT},",
          "gas_staff_name = #{gasStaffName,jdbcType=VARCHAR},",
          "gas_salesman_id = #{gasSalesmanId,jdbcType=BIGINT},",
          "gas_salesman_name = #{gasSalesmanName,jdbcType=VARCHAR},",
          "gas_agent_id = #{gasAgentId,jdbcType=BIGINT},",
          "gas_agent_name = #{gasAgentName,jdbcType=VARCHAR},",
          "gas_org_id = #{gasOrgId,jdbcType=BIGINT},",
          "gas_org_name = #{gasOrgName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "cancel_time = #{cancelTime,jdbcType=TIMESTAMP},",
          "pay_time = #{payTime,jdbcType=TIMESTAMP},",
          "refund_time = #{refundTime,jdbcType=TIMESTAMP},",
          "refund_remarks = #{refundRemarks,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR},",
          "ext_4 = #{ext4,jdbcType=VARCHAR},",
          "ext_5 = #{ext5,jdbcType=VARCHAR},",
          "ext_6 = #{ext6,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighGasOrder record);
}