package com.hai.order.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 导出油站订单模型
 * @className: ExportGasOrderModel
 * @author: HuRui
 * @date: 2022/9/20
 **/
@Data
public class ExportGasOrderModel {

    @ColumnWidth(25)
    @ExcelProperty("交易订单号")
    private String orderNo;

    @ColumnWidth(25)
    @ExcelProperty("加油站")
    private String storeName;

    @ColumnWidth(15)
    @ExcelProperty("加油员")
    private String gasStaffName;

    @ColumnWidth(15)
    @ExcelProperty("客户手机号")
    private String memPhone;

    @ColumnWidth(15)
    @ExcelProperty({ "加油信息", "加油金额"})
    private BigDecimal gasRefuelPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "加油信息", "加油升数"})
    private BigDecimal gasOilLiters;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油号"})
    private String gasOilNo;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油枪号"})
    private String gasGunNo;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "平台折扣"})
    private String gasDiscount;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "平台补贴"})
    private BigDecimal gasOilSubsidy;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "平台价"})
    private BigDecimal gasPricePlatform;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油站价"})
    private BigDecimal gasPriceGun;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "国标价"})
    private BigDecimal gasPriceOfficial;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "加油优惠"})
    private BigDecimal deductionPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "应付金额"})
    private BigDecimal payablePrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "积分抵扣"})
    private Integer payGold;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "实付金额"})
    private String payPrice;

    @ColumnWidth(15)
    @ExcelProperty("交易状态")
    private String status;

    @ColumnWidth(22)
    @ExcelProperty("创建时间")
    private Date createTime;

    @ColumnWidth(22)
    @ExcelProperty("支付时间")
    private Date payTime;

    @ColumnWidth(22)
    @ExcelProperty("退款时间")
    private Date refundTime;

    @ColumnWidth(22)
    @ExcelProperty("取消时间")
    private Date cancelTime;

    @ColumnWidth(20)
    @ExcelProperty("分公司")
    private String companyName;

    @ColumnWidth(20)
    @ExcelProperty("商户")
    private String merName;

    @ColumnWidth(20)
    @ExcelProperty("业务员")
    private String gasSalesmanName;

    @ColumnWidth(20)
    @ExcelProperty("代理商")
    private String gasAgentName;

    @ColumnWidth(20)
    @ExcelProperty("代理公司")
    private String gasOrgName;

}
